package com.bonus.sgzb.app.mapper;

import com.bonus.sgzb.base.api.domain.TmTask;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* Description:
* @Author 阮世耀
* @Create 2023/12/13 15:14
* @Version 1.0
*/

@Mapper
public interface TmTaskMapper {
    int deleteByPrimaryKey(Long taskId);

    int insert(TmTask record);

    int insertOrUpdate(TmTask record);

    int insertOrUpdateSelective(TmTask record);

    int insertSelective(TmTask record);

    TmTask selectByPrimaryKey(Long taskId);

    int updateByPrimaryKeySelective(TmTask record);

    int updateByPrimaryKey(TmTask record);

    int updateBatch(List<TmTask> list);

    int updateBatchSelective(List<TmTask> list);

    int batchInsert(@Param("list") List<TmTask> list);
}